#
# Conditional build:
%bcond_without	libesmtp	# (E)SMTP support via libesmtp
%bcond_without	qt		# Qt support library

Summary:	Log4cxx - a port to C++ of the log4j project
Summary(pl.UTF-8):	Log4cxx - port projektu log4j dla C++
Name:		log4cxx
Version:	1.1.0
Release:	1
License:	Apache v2.0
Group:		Libraries
Source0:	https://downloads.apache.org/logging/log4cxx/%{version}/apache-%{name}-%{version}.tar.gz
# Source0-md5:	50b76cadf829152371011d2db38351b2
URL:		http://logging.apache.org/log4cxx/
%{?with_qt:BuildRequires:	Qt5Core-devel >= 5}
BuildRequires:	apr-devel >= 1
BuildRequires:	apr-util-devel >= 1
BuildRequires:	boost-devel
BuildRequires:	cmake >= 3.13
# for tests
BuildRequires:	expat-devel >= 1.95
%{?with_libesmtp:BuildRequires:	libesmtp-devel}
BuildRequires:	libfmt-devel >= 7.1
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	unixODBC-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log4cxx is C++ port of Log4j. Log4cxx attempts to mimic log4j usage as
much as the language will allow and to be compatible with log4j
configuration and output formats.

%description -l pl.UTF-8
Log4cxx jest portem Log4j dla C++. Log4cxx próbuje naśladować
użytkowanie log4j tak bardzo na ile pozwala na to język oraz próbuje
być kompatybilnym z plikami konfiguracyjnymi i formatami wyjściowymi
log4j.

%package devel
Summary:	Header files for log4cxx library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki log4cxx
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	apr-devel >= 1
Requires:	apr-util-devel >= 1
Requires:	libstdc++-devel >= 6:7
Obsoletes:	log4cxx-static < 1

%description devel
This is the package containing the header files for log4cxx library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki log4cxx.

%package qt
Summary:	Qt support library for log4cxx C++ logging framework
Summary(pl.UTF-8):	Biblioteka wsparcia Qt do szkieletu logującego C++ log4cxx
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description qt
Qt support library for log4cxx C++ logging framework.

%description qt -l pl.UTF-8
Biblioteka wsparcia Qt do szkieletu logującego C++ log4cxx.

%package qt-devel
Summary:	Header files for log4cxx Qt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki log4cxx Qt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-qt = %{version}-%{release}
Requires:	Qt5Core-devel >= 5

%description qt-devel
Header files for log4cxx Qt library.

%description qt-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki log4cxx Qt.

%prep
%setup -q -n apache-%{name}-%{version}

%build
%cmake -B build \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	%{!?with_libesmtp:-DHAS_LIBESMTP=OFF} \
	%{?with_qt:-DLOG4CXX_QT_SUPPORT=ON}

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc KEYS LICENSE NOTICE
%attr(755,root,root) %{_libdir}/liblog4cxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblog4cxx.so.15

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblog4cxx.so
%{_includedir}/%{name}
%{_pkgconfigdir}/liblog4cxx.pc
%{_libdir}/cmake/log4cxx

%if %{with qt}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblog4cxx-qt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblog4cxx-qt.so.15

%files qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblog4cxx-qt.so
%{_includedir}/log4cxx-qt
%{_pkgconfigdir}/liblog4cxx-qt.pc
%{_libdir}/cmake/log4cxx-qt
%endif
%changelog
* Mon Jul 24 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/log4cxx.git;a=log;h=master

* Sat Jul 22 2023 Jakub Bogusz <qboosh@pld-linux.org> f4c0607
- updated to 1.1.0

* Fri Feb 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 1851dec
- release 3

* Fri Feb 10 2023 Jakub Bogusz <qboosh@pld-linux.org> ff9ca09
- added -qt library

* Thu Feb 09 2023 Jakub Bogusz <qboosh@pld-linux.org> d316c1c
- added libesmtp patch, enabled libesmtp by default (the issue was outdated internal API usage, not libesmtp API)

* Thu Feb 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 006f506
- obsolete log4cxx-static

* Thu Feb 09 2023 Jakub Bogusz <qboosh@pld-linux.org> b7e3fe7
- updated dependencies, use cmake 3.13+ invocation

* Fri Feb 03 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 885c52f
- rel 2; disable using libesmtp

* Fri Feb 03 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f19a63
- Up to 1.0.0

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 38ec39a
- Release 7 (by relup.sh)

* Sun Sep 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f74c54
- release 6 (by relup.sh)

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 4f09602
- x32 rebuild
- release 5 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> b1ef102
- rebuild with expat 2.1.0
- release 4 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 2a36f69
- release 3 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> c573f0c
- Rebuild with DB 5.3
- release 2 (by relup.sh)

* Mon Oct 26 2009 Szymon Siwek <sls@pld-linux.org> 1f38039
- include 'cstdio'

* Fri Apr 17 2009 Elan Ruusamäe <glen@pld-linux.org> 6255dec
- move apidocs to -devel; rel 1

* Sun Aug 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 61d4f69
- fixed ghost soname symlink
- db-devel is apr-util-devel dependency
- devel deps

* Sun Aug 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 819be07
- just db-devel in BR

* Sun Aug 03 2008 pawelz <pawelz@pld-linux.org> d52e4b8
- adapterized; rel 0.3

* Sun Aug 03 2008 pawelz <pawelz@pld-linux.org> 2c729fc
- gcc 4.3 buildfix
- BR: libdb4.7-devel

